<?php

$dsn = 'mysql:dbname=cvut;host=127.0.0.1';
$user = 'root';
$password = '';

try {
    $db = new PDO($dsn, $user, $password);
} catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
}

if (isset($_POST["send-comment"])) {
	$sql = $db->prepare("INSERT INTO comments (name, comment, date) VALUES (?, ?, NOW())");
	$sql->execute([$_POST["name"], $_POST["comment"]]);

	// $sql = $db->prepare("INSERT INTO comments (name, comment, date) VALUES (:name, :comment, NOW())");
	// $sql->bindParam(":name", $_POST["name"]);
	// $sql->bindParam(":comment", $_POST["comment"]);
	// $sql->execute();
}

if (isset($_POST["remove-comment"])) {
	$sql = $db->prepare("DELETE FROM comments WHERE id = ?");
	$sql->execute([$_POST["id"]]);
}


$sql = $db->prepare("SELECT count(id) AS count FROM comments");
$sql->execute();
$result = $sql->fetch();
$numberOfComments = $result["count"];

$page = isset($_GET["page"]) ? intval($_GET["page"]) : 1;
$pageSize = 5;
$offset = $page * $pageSize - $pageSize;

$sql = $db->prepare("SELECT id, name, comment, date
	FROM comments
	ORDER BY date DESC
	LIMIT $pageSize
	OFFSET $offset"
);
// http://stackoverflow.com/questions/10014147/limit-keyword-on-mysql-with-prepared-statement

$sql->execute();
$comments = $sql->fetchAll();


?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title></title>
</head>
<body>
	<style type="text/css">
		* {
			box-sizing: border-box;
		}
		body {
			padding: 20px 0;
			max-width: 400px;
			margin: auto;
		}

		blockquote {
			background-color: rgba(0 ,0, 0, .05);
			box-shadow: 3px 3px 3px rgba(0, 0, 0, .2);
			padding: 1em; margin: 2em 0;
			position: relative;
		}
		blockquote p { margin: 0; }
		blockquote footer { margin-top: 1em; }
		blockquote form {
			position: absolute;
			right: 0;
			top: 0;
		}

		.comment-form {
			background-color: rgba(0, 0, 255, .05);
			padding: 1em;
		}
		.comment-form textarea {
			width: 100%;
			height: 5em;
			margin: 1em 0;
		}

	</style>

	<form method="post" class="comment-form">
		<input type="text" name="name" placeholder="vaše jméno">
		<textarea name="comment"></textarea>
		<input type="submit" value="odeslat komentář" name="send-comment">
	</form>

	<?php foreach ($comments as $value) { ?>
		<blockquote>
			<p><?= $value["comment"] ?></p>
			<footer>&ndash; <cite><?= $value["name"] ?></cite> (<?= $value["date"] ?>)</footer>
			<form method="post" >
				<input type="hidden" name="id" value="<?= $value['id'] ?>">
				<input type="submit" value="&times;" name="remove-comment">
			</form>
		</blockquote>
	<?php } ?>


	<?php

	for ($i=0; $i < $numberOfComments / $pageSize; $i++) {
		$page = $i + 1;
		echo "<a href='?page=$page'>$page</a>";
	}

	?>

</body>
</html>
